Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Class CatalogFinderException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.beasys.commerce.foundation.exception.ApplicationException
                  com.beasys.commerce.ebusiness.catalog.CatalogException
                      com.beasys.commerce.ebusiness.catalog.CatalogFinderException

All Implemented Interfaces
  MessageCatalogException, Serializable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class CatalogFinderException

extends CatalogException

Indicates an error finding a catalog item.

See Also
  Serialized Form

Field Summary
`static String` | `MESSAGE_KEY` Deprecated See BEA Commerce product offering

Fields inherited from class com.beasys.commerce.ebusiness.catalog.CatalogException
`MESSAGE_NAMESPACE`

Fields inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`CatalogFinderException(CatalogItemKey key)` Deprecated See BEA Commerce product offering
`CatalogFinderException(CatalogItemKey key, Exception exception)` Deprecated See BEA Commerce product offering

Method Summary

Methods inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MESSAGE_KEY

    public static final String MESSAGE_KEY

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Constructor Detail

### CatalogFinderException

    public CatalogFinderException(CatalogItemKey key)

  Deprecated See BEA Commerce product offering

  Constructs a `CatalogFinderException`.

### CatalogFinderException

    public CatalogFinderException(CatalogItemKey key,
                                  Exception exception)

  Deprecated See BEA Commerce product offering

  Constructs a `CatalogFinderException`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved